import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **组件中文名称**-组件描述。
 */
var Option = /** @class */ (function (_super) {
    tslib_1.__extends(Option, _super);
    function Option() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (value) {
            var _a = _this.props, onChange = _a.onChange, disabled = _a.disabled;
            if (onChange && !disabled) {
                onChange(value);
            }
        };
        return _this;
    }
    Option.prototype.render = function () {
        var _this = this;
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, children = _b.children, onChange = _b.onChange, value = _b.value, disabled = _b.disabled, otherProps = tslib_1.__rest(_b, ["className", "style", "children", "onChange", "value", "disabled"]);
        var preCls = 'yoshino-select-option';
        var clsName = classNames(preCls, className, (_a = {},
            _a[preCls + "-disabled"] = disabled,
            _a));
        return (React.createElement("li", tslib_1.__assign({ className: clsName, style: style }, otherProps, { onClick: function () { return _this.onChange(value); } }), children));
    };
    Option.defaultProps = {};
    Option.displayName = 'Option';
    return Option;
}(Component));
export { Option };
export default Option;
//# sourceMappingURL=Option.js.map